Loading...
Searching...
No Matches
itk::AffineLogTransform< TScalarType, Dimension > Class Template Reference
Components » Transforms

`#include <itkAffineLogTransform.h>`

## Detailed Description

template<class TScalarType = double, unsigned int Dimension = 2>
class itk::AffineLogTransform< TScalarType, Dimension >

Definition at line 33 of file itkAffineLogTransform.h.

Inheritance diagram for itk::AffineLogTransform< TScalarType, Dimension >:
[legend]

## Public Types

using | AngleType = typename Superclass::ScalarType
using | ConstPointer = SmartPointer<const Self>
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | Pointer = SmartPointer<Self>
using | ScalarArrayType = FixedArray<ScalarType>
using | Self = AffineLogTransform
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass = AdvancedMatrixOffsetTransformBase<TScalarType, Dimension, Dimension>
Public Types inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
using | CenterType
using | ConstPointer
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
using | InverseMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
using | MatrixType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | OffsetType
using | Pointer
using | Self
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass
using | TranslationType
Public Types inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
void | GetJacobian (const InputPointType &, JacobianType &, NonZeroJacobianIndicesType &) const override
const ParametersType & | GetParameters () const override
| ITK_DISALLOW_COPY_AND_MOVE (AffineLogTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, Dimension)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, Dimension)
| itkStaticConstMacro (ParametersDimension, unsigned int,(Dimension+1) *Dimension)
| itkStaticConstMacro (SpaceDimension, unsigned int, Dimension)
void | SetIdentity () override
void | SetParameters (const ParametersType &parameters) override
Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
const InputPointType & | GetCenter () const
const FixedParametersType & | GetFixedParameters () const override
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
const MatrixType & | GetMatrix () const
const ParametersType & | GetParameters () const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
TransformCategoryEnum | GetTransformCategory () const override
const OutputVectorType & | GetTranslation () const
bool | IsLinear () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
void | SetCenter (const InputPointType &center)
void | SetFixedParameters (const FixedParametersType &) override
virtual void | SetMatrix (const MatrixType &matrix)
void | SetParameters (const ParametersType &parameters) override
void | SetTranslation (const OutputVectorType &translation)
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &vector) const override
OutputPointType | TransformPoint (const InputPointType &point) const override
OutputVectorType | TransformVector (const InputVectorType &vector) const override
Public Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
virtual NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
static Pointer | New ()

## Protected Member Functions

| AffineLogTransform ()
| AffineLogTransform (const MatrixType &matrix, const OutputPointType &offset)
| AffineLogTransform (unsigned int outputSpaceDims, unsigned int paramsSpaceDims)
virtual void | PrecomputeJacobianOfSpatialJacobian ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~AffineLogTransform () override=default
Protected Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
| AdvancedMatrixOffsetTransformBase (const unsigned int paramDims=ParametersDimension)
virtual void | ComputeMatrix ()
virtual void | ComputeMatrixParameters ()
virtual void | ComputeOffset ()
void | ComputeTranslation ()
const OutputVectorType & | GetOffset () const
void | PrintSelf (std::ostream &s, Indent indent) const override
void | SetVarMatrix (const MatrixType &matrix)
void | SetVarTranslation (const OutputVectorType &translation)
| ~AdvancedMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Private Attributes

MatrixType | m_MatrixLogDomain {}

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
JacobianOfSpatialHessianType | m_JacobianOfSpatialHessian
JacobianOfSpatialJacobianType | m_JacobianOfSpatialJacobian
NonZeroJacobianIndicesType | m_NonZeroJacobianIndices
SpatialHessianType | m_SpatialHessian
Protected Attributes inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## AngleType

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::AngleType = typename Superclass::ScalarType

Definition at line 73 of file itkAffineLogTransform.h.

## ConstPointer

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::ConstPointer = SmartPointer<const Self>

Definition at line 42 of file itkAffineLogTransform.h.

## InternalMatrixType

template<class TScalarType = double, unsigned int Dimension = 2>

## JacobianOfSpatialHessianType

template<class TScalarType = double, unsigned int Dimension = 2>

## JacobianOfSpatialJacobianType

template<class TScalarType = double, unsigned int Dimension = 2>

## NonZeroJacobianIndicesType

template<class TScalarType = double, unsigned int Dimension = 2>

Types for the (Spatial)Jacobian/Hessian. Using an itk::FixedArray instead of an std::vector gives a performance gain for the SpatialHessianType.

## Pointer

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::Pointer = SmartPointer<Self>

Definition at line 41 of file itkAffineLogTransform.h.

## ScalarArrayType

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::ScalarArrayType = FixedArray<ScalarType>

Definition at line 82 of file itkAffineLogTransform.h.

## Self

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::Self = AffineLogTransform

Standard class typedefs.

Definition at line 39 of file itkAffineLogTransform.h.

## SpatialHessianType

template<class TScalarType = double, unsigned int Dimension = 2>

## SpatialJacobianType

template<class TScalarType = double, unsigned int Dimension = 2>

## Superclass

template<class TScalarType = double, unsigned int Dimension = 2>

using itk::AffineLogTransform< TScalarType, Dimension >::Superclass = AdvancedMatrixOffsetTransformBase<TScalarType, Dimension, Dimension>

Definition at line 40 of file itkAffineLogTransform.h.

## Constructor & Destructor Documentation

## AffineLogTransform() [1/3]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::AffineLogTransform | ( |  | ) |

protected

## AffineLogTransform() [2/3]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::AffineLogTransform | ( | const MatrixType & | matrix,
|  | const OutputPointType & | offset )

protected

## AffineLogTransform() [3/3]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::AffineLogTransform | ( | unsigned int | outputSpaceDims,
|  | unsigned int | paramsSpaceDims )

protected

## ~AffineLogTransform()

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::~AffineLogTransform | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TScalarType = double, unsigned int Dimension = 2>

virtual const char * itk::AffineLogTransform< TScalarType, Dimension >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## GetJacobian()

template<class TScalarType = double, unsigned int Dimension = 2>

void itk::AffineLogTransform< TScalarType, Dimension >::GetJacobian | ( | const InputPointType & | ,
|  | JacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

override virtual

Compute the Jacobian of the transformation.

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## GetParameters()

template<class TScalarType = double, unsigned int Dimension = 2>

const ParametersType & itk::AffineLogTransform< TScalarType, Dimension >::GetParameters | ( |  | ) | const

override

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::ITK_DISALLOW_COPY_AND_MOVE | ( | AffineLogTransform< TScalarType, Dimension > |  | ) |

## itkStaticConstMacro() [1/4]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | Dimension | )

## itkStaticConstMacro() [2/4]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | Dimension | )

## itkStaticConstMacro() [3/4]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::itkStaticConstMacro | ( | ParametersDimension | ,
|  | unsigned int | ,
|  | (Dimension+1) * | Dimension )

## itkStaticConstMacro() [4/4]

template<class TScalarType = double, unsigned int Dimension = 2>

itk::AffineLogTransform< TScalarType, Dimension >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | Dimension | )

Dimension of the domain space.

## New()

template<class TScalarType = double, unsigned int Dimension = 2>

Pointer itk::AffineLogTransform< TScalarType, Dimension >::New | ( |  | ) |

static

New macro for creation of through a Smart Pointer.

## PrecomputeJacobianOfSpatialJacobian()

template<class TScalarType = double, unsigned int Dimension = 2>

virtual void itk::AffineLogTransform< TScalarType, Dimension >::PrecomputeJacobianOfSpatialJacobian | ( |  | ) |

protected virtual

Update the m_JacobianOfSpatialJacobian.

## PrintSelf()

template<class TScalarType = double, unsigned int Dimension = 2>

void itk::AffineLogTransform< TScalarType, Dimension >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetIdentity()

template<class TScalarType = double, unsigned int Dimension = 2>

void itk::AffineLogTransform< TScalarType, Dimension >::SetIdentity | ( |  | ) |

override virtual

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## SetParameters()

template<class TScalarType = double, unsigned int Dimension = 2>

void itk::AffineLogTransform< TScalarType, Dimension >::SetParameters | ( | const ParametersType & | parameters | ) |

override

## Field Documentation

## m_MatrixLogDomain

template<class TScalarType = double, unsigned int Dimension = 2>

MatrixType itk::AffineLogTransform< TScalarType, Dimension >::m_MatrixLogDomain {}

private

Definition at line 112 of file itkAffineLogTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |